Page MenuHomePhabricator

[RISCV][test] Precommit test for D122791.
ClosedPublic

Authored by jacquesguan on Apr 7 2022, 11:50 PM.

Diff Detail

Unit TestsFailed

TimeTest
60,390 msx64 debian > Clang.Driver::arm-cortex-cpus-2.c
Script: -- : 'RUN: at line 8'; /var/lib/buildkite-agent/builds/llvm-project/build/bin/clang -target armv8a-linux-eabi -mcpu=cortex-a53+fp16 -### -c /var/lib/buildkite-agent/builds/llvm-project/clang/test/Driver/arm-cortex-cpus-2.c 2>&1 | /var/lib/buildkite-agent/builds/llvm-project/build/bin/FileCheck --check-prefix CHECK-CORTEX-A53-FP16 /var/lib/buildkite-agent/builds/llvm-project/clang/test/Driver/arm-cortex-cpus-2.c
60,110 msx64 debian > Clang.Driver::emit-reproducer.c
Script: -- : 'RUN: at line 1'; rm -rf /var/lib/buildkite-agent/builds/llvm-project/build/tools/clang/test/Driver/Output/emit-reproducer.c.tmp && mkdir /var/lib/buildkite-agent/builds/llvm-project/build/tools/clang/test/Driver/Output/emit-reproducer.c.tmp
60,440 msx64 debian > Clang.Driver::fsanitize.c
Script: -- : 'RUN: at line 1'; /var/lib/buildkite-agent/builds/llvm-project/build/bin/clang -target x86_64-linux-gnu -fsanitize=undefined -fsanitize-trap=undefined /var/lib/buildkite-agent/builds/llvm-project/clang/test/Driver/fsanitize.c -### 2>&1 | /var/lib/buildkite-agent/builds/llvm-project/build/bin/FileCheck /var/lib/buildkite-agent/builds/llvm-project/clang/test/Driver/fsanitize.c --check-prefix=CHECK-UNDEFINED-TRAP
61,120 msx64 debian > Clang.OpenMP::target_defaultmap_codegen_01.cpp
Script: -- : 'RUN: at line 8'; /var/lib/buildkite-agent/builds/llvm-project/build/bin/clang -cc1 -internal-isystem /var/lib/buildkite-agent/builds/llvm-project/build/lib/clang/15.0.0/include -nostdsysteminc -no-opaque-pointers -no-enable-noundef-analysis -DCK1 -verify -fopenmp -fopenmp-version=50 -fopenmp-targets=powerpc64le-ibm-linux-gnu -x c++ -triple powerpc64le-unknown-unknown -emit-llvm /var/lib/buildkite-agent/builds/llvm-project/clang/test/OpenMP/target_defaultmap_codegen_01.cpp -o - | /var/lib/buildkite-agent/builds/llvm-project/build/bin/FileCheck --allow-unused-prefixes -allow-deprecated-dag-overlap /var/lib/buildkite-agent/builds/llvm-project/clang/test/OpenMP/target_defaultmap_codegen_01.cpp --check-prefix CK1
60,190 msx64 debian > Clang.OpenMP::target_teams_distribute_parallel_for_simd_codegen_registration.cpp
Script: -- : 'RUN: at line 2'; /var/lib/buildkite-agent/builds/llvm-project/build/bin/clang -cc1 -internal-isystem /var/lib/buildkite-agent/builds/llvm-project/build/lib/clang/15.0.0/include -nostdsysteminc -no-opaque-pointers -verify -fopenmp -fopenmp-version=45 -x c++ -triple powerpc64le-unknown-unknown -fopenmp-targets=powerpc64le-ibm-linux-gnu -emit-llvm /var/lib/buildkite-agent/builds/llvm-project/clang/test/OpenMP/target_teams_distribute_parallel_for_simd_codegen_registration.cpp -o - | /var/lib/buildkite-agent/builds/llvm-project/build/bin/FileCheck --allow-unused-prefixes /var/lib/buildkite-agent/builds/llvm-project/clang/test/OpenMP/target_teams_distribute_parallel_for_simd_codegen_registration.cpp
View Full Test Results (6 Failed)

Event Timeline

jacquesguan created this revision.Apr 7 2022, 11:50 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 7 2022, 11:50 PM
jacquesguan requested review of this revision.Apr 7 2022, 11:50 PM
RKSimon added inline comments.May 1 2022, 8:32 AM
llvm/test/CodeGen/RISCV/rvv/vand-sdnode.ll
1355

you can probably remove the cfi noise by changing these to:

define <vscale x 8 x i64> @vand_xx_nxv8i64(i64 %a, i64 %b) nounwind {
llvm/test/CodeGen/RISCV/rvv/vmul-sdnode.ll
4

Extra attributes or better to have extra RUN lines with/without +m?

Address comment.

jacquesguan marked 2 inline comments as done.Jul 7 2022, 2:12 AM
jacquesguan added inline comments.
llvm/test/CodeGen/RISCV/rvv/vand-sdnode.ll
1355

Done, thanks.

llvm/test/CodeGen/RISCV/rvv/vmul-sdnode.ll
4

Done, thanks.

RKSimon accepted this revision.Jul 9 2022, 5:00 AM

LGTM

This revision is now accepted and ready to land.Jul 9 2022, 5:00 AM
This revision was landed with ongoing or failed builds.Jul 18 2022, 8:09 PM
This revision was automatically updated to reflect the committed changes.
jacquesguan marked 2 inline comments as done.